# Get User's public profile by username

## Get public profile

<mark style="color:blue;">`GET`</mark> `https://api.whisk.com/v2/profile/by-username/{username}`

Method provides all data on existing user's public profile by `username`

#### Path Parameters

| Name                                       | Type   | Description          |
| ------------------------------------------ | ------ | -------------------- |
| username<mark style="color:red;">\*</mark> | String | Requested `username` |

#### Headers

| Name                                            | Type   | Description                                                                            |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | User Access token to authorize the API usage. For more information, see Authentication |

{% tabs %}
{% tab title="200: OK Successful response" %}

```json
{
  "profile": {
    "id": "string",
    "first_name": "string",
    "last_name": "string",
    "username": "string",
    "picture": {
      "url": "string",
      "width": 0,
      "height": 0,
      "selection": {
        "x": 0,
        "y": 0,
        "width": 0,
        "height": 0
      }
    }
  }
}s
```

{% endtab %}

{% tab title="401: Unauthorized This failed response appears due to API authentication failure. The possible error codes that may appear are: auth.tokenNotFound, auth.tokenExpired, auth.tokenInvalid, auth.tokenRequired." %}

```json
{
  "code": "auth.tokenNotFound"
}
```

{% endtab %}

{% tab title="500: Internal Server Error This failed response appears when something is not right on Whisk's end. Please send a message to <help@whisk.com>, and be sure to include both the Request and Response data. We’ll get back to you soon." %}

```
This is unexpected response, something is wrong on our side, please contact: help@whisk.com
```

{% endtab %}
{% endtabs %}

### Sample request and response

{% tabs %}
{% tab title="Request" %}

{% endtab %}

{% tab title="Response" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/public-profiles/get-users-public-profile-by-username.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
